<div id="layoutSidenav_content">
    <main>
      
        <div class="container-fluid">
            {% if f_condition == False %}
            <div class="card mb-4">
                <div class="card-header">
                    <i class="fas fa-table mr-1">
                    {% if acc_train %}
                        Training data
                    {% else %}
                        Patient data
                    {% endif %}
                    </i>
                </div>

                <div class="card-body">
                    <div class="table-responsive">
                        <!-- Tabla metainformacion -->
                            {{ describe | safe }}

                        <!-- Tabla informacion pacientes -->
                            {{ pacientes | safe }}

                        <!-- Gráfica de distribucion -->
                            {{ script_feature_distr | safe }}
                            {{ div_feature_distr | safe }}

                        <!-- Gráfica k-values KNN -->
                        {% if script_k %}
                            {{ script_k | safe }}
                            {{ div_k | safe }}
                            <br>
                            <p>Precisión del clasificador para el set de entrenamiento: {{ acc_train | safe }}</p>  
                    
                            <p>Precisión del clasificador para el set de testeo: {{ acc_test |safe }}</p> 
                            <br> 
                        {% elif acc_train %}
                            <br>
                            <p>Precisión del clasificador para el set de entrenamiento: {{ acc_train | safe }}</p>  
                    
                            <p>Precisión del clasificador para el set de testeo: {{ acc_test |safe }}</p> 
                            <br> 

                        {% endif %}

                            
                    </div>
                </div>
            </div>
            {% endif %}
        </div>

      
        
        <!--  Tabla de parametros recall, precision, support, etc -->
        {% if table %}
        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Métricas obtenidas del entrenamiento para {{ y | safe }}
                        </i>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            {{ classifi_report | safe }} 
                        </div> 
                    </div>

                </div>
            </div>
        </div>

        <!-- Prediccion de la clasificación -->

        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Datos de la clasificación
                        </i>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <p>Según las caracteristicas introducidas del paciente, la predicción de {{ y | safe }} es:  <b> {{ ynew | safe }} </b> </p> 
                            <p>Con una probabilidad: {{ prediction | safe }} </p>
                        </div> 
                    </div>

                </div>
            </div>
        </div>

        <!-- Tabla prediccion, probabilidad -->

        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Tabla de clasificación
                        </i>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            {{ table | safe }}
                        </div> 
                    </div>

                </div>
            </div>
        </div>

        <!-- Tabla de confusión -->
        
        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Tabla de confusión
                        </i>  
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            {{ conf_matrix | safe }} 
                        </div> 
                    </div>
                </div>
            </div>
        </div>

        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Clasificaciones conjunto de testeo
                        </i>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            {{ converter | safe }} 
                        </div> 
                    </div>

                </div>
            </div>
        </div>

        {% elif classifi_report %}
        <!--  Precision con test and train sets  -->
        
        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Métricas obtenidas del entrenamiento para {{ feat_pred | safe }}
                        </i>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            {{ classifi_report | safe }} 
                        </div> 
                    </div>

                </div>
            </div>
        </div>
        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Tabla de confusión
                        </i>  
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            {{ conf_matrix | safe }} 
                        </div> 
                    </div>
                </div>
            </div>
        </div>

        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Clasificaciones conjunto de testeo
                        </i>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            {{ converter | safe }} 
                        </div> 
                    </div>
                </div>
            </div>
        </div>



        {% endif %}

        {% if feat_list %}

        <!-- Formulario para rellenar caracteristicas del paciente para KNN -->

        <div id="layoutSidenav_content">
            <div class="container-fluid">
                <div class="card mb-4">
                    
                    <div class="card-header">
                        <i class="fas fa-table mr-1">
                            Formulario del paciente
                        </i>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <form name='f_p' action="{{url_for('predict_classification')}}" method='POST'>
                                {% include 'featuresform.html' %}
                            </form>
                        </div> 
                    </div>
                </div>
            </div>
        </div>
        {% endif %}


    </main>
    <footer class="py-4 bg-light mt-auto">
        <div class="container-fluid">
            <div class="d-flex align-items-center justify-content-between small">
                <div class="text-muted">Copyright &copy; Esteban Egea (UPCT/UM)</div>
                    <div>
                        <a href="#">Privacy Policy</a>
                        &middot;
                        <a href="#">Terms &amp; Conditions</a>
                    </div>
            </div>
        </div>
    </footer>
</div>
</div>




